import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';

@Component({
    selector: 'app-login',
    templateUrl: './login.page.html',
    styleUrls: ['./login.page.scss'],
})
export class LoginPage implements OnInit {
    credentials = {
        email: null,
        password: null
    }

    show_password = false;

    constructor(
        private router: Router
    ) { }

    ionViewDidEnter() {
        document.querySelector('.menu-icon-holder').classList.add('hide');
    }

    ngOnInit() {
    }

    signup() {
        this.router.navigate(['/onboarding']);
    }

    login() {
        this.router.navigate(['/malls']);
        document.querySelector('.menu-icon-holder').classList.remove('hide');
    }

}
